For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet mailbox domains
      • POSTCreate a mailbox domain
      • DELDelete a mailbox domain
      • POSTVerify a mailbox domain
LogoLogo
API StatusPartner Portal
UtilitiesMailbox domains

Get mailbox domains

GET
/mailbox_domains
GET
/v1/mailbox_domains
$curl https://api.sandbox.monite.com/v1/mailbox_domains \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "dns_records": {
6 "receiving_dns_records": [
7 {
8 "is_active": true,
9 "name": "name",
10 "record_purpose": "DKIM",
11 "record_type": "TXT",
12 "valid": "valid",
13 "value": "value"
14 }
15 ],
16 "sending_dns_records": [
17 {
18 "is_active": true,
19 "name": "name",
20 "record_purpose": "DKIM",
21 "record_type": "TXT",
22 "valid": "valid",
23 "value": "value"
24 }
25 ]
26 },
27 "domain": "domain",
28 "status": "status",
29 "dedicated_ip": "dedicated_ip",
30 "last_updated_at": "2024-01-15T09:30:00Z"
31 }
32 ]
33}

Get all domains owned by partner_id

Was this page helpful?
Previous

Create a mailbox domain

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Response

Successful Response
datalist of objects

Errors

401
Get Mailbox Domains Request Unauthorized Error
403
Get Mailbox Domains Request Forbidden Error
422
Get Mailbox Domains Request Unprocessable Entity Error
429
Get Mailbox Domains Request Too Many Requests Error